Bug 1570823 - -mcet should be removed from __global_compiler_flags
Summary: -mcet should be removed from __global_compiler_flags
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config
Version: 28
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Weimer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1574937
TreeView+ depends on / blocked
 
Reported: 2018-04-23 12:59 UTC by H.J. Lu
Modified: 2018-05-16 13:07 UTC (History)
11 users (show)

Fixed In Version: redhat-rpm-config-109-1.fc29 redhat-rpm-config-108-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1574937 (view as bug list)
Environment:
Last Closed: 2018-05-16 13:07:11 UTC
Type: Bug


Attachments (Terms of Use)

Description H.J. Lu 2018-04-23 12:59:10 UTC
Requirement of -mcet to enable CET has been removed
from GCC 8 by revision 259496:

commit b1384095a7c1d06a44b70853372ebe037b2f7867
Author: hjl <hjl@138bc75d-0d04-0410-961f-82ee72b054a4>
Date:   Thu Apr 19 15:15:04 2018 +0000

    x86: Enable -fcf-protection with multi-byte NOPs

-fcf-protection no longer depens on -mcet.  -mcet should be removed
from __global_compiler_flags.

Comment 1 Florian Weimer 2018-04-23 16:23:03 UTC
Not rthat the above commit is not currently in Fedora (gcc-8.0.1-0.20.fc28.x86_64, gcc-8.0.1-0.21.fc29.x86_64).  Coordination with the GCC maintainers is needed.

Comment 2 Florian Weimer 2018-05-02 09:43:49 UTC
We need to fix this in Fedora 28 as well, but this needs a GCC update first.  gcc-8.0.1-0.20.fc28 still requires -mcet for -fcf-protection.

Comment 3 Fedora Update System 2018-05-14 12:20:23 UTC
redhat-rpm-config-108-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fddc25161e

Comment 4 Fedora Update System 2018-05-14 20:39:47 UTC
redhat-rpm-config-108-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-fddc25161e

Comment 5 Fedora Update System 2018-05-16 13:07:11 UTC
redhat-rpm-config-108-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.